<template>
  <div class="container bootdey">
    <div class="panel">
      <div class="panel-body" v-for="(dados, index) of quests" :key="dados.id">
        <div class="media-block">
          <a class="media-left"
            ><img class="img-circle img-sm" alt="User img " :src="dados.foto"
          /></a>
          <div class="media-body">
            <div class="mar-btm ml-2">
              <a class="btn text-semibold media-heading box-inline">{{
                dados.usuario
              }}</a>
            </div>
            <p class="ml-4">{{ dados.questao }}</p>
            <div class="pad-ver ml-1">
              <b-button
                class="btn-dark btn-sm btn-default btn-hover-primary"
                data-toggle="modal"
                data-target="#myModal"
                @click="Handler(dados.idq)"
                ><b-icon icon="chat-left-text"></b-icon
              ></b-button>
            </div>
            <br />
            <!-- Comments -->
            <div
              class="media-block"
              v-for="resp of arrRespostas[index + inc]"
              :key="resp.idq"
            >
              <a class="media-left"
                ><img
                  class="img-circle img-sm"
                  alt="Profile Picture"
                  :src="resp.foto"
              /></a>
              <div class="media-body">
                <div class="mar-btm ml-2">
                  <a class="btn text-semibold media-heading box-inline">{{
                    resp.nome
                  }}</a>
                </div>
                <p class="ml-4">{{ resp.resposta }}</p>
                <hr />
              </div>
            </div>

            <hr />
          </div>
        </div>
      </div>
    </div>

    <!-- The Modal -->
    <div class="modal fade" id="myModal" role="dialog">
      <div class="modal-dialog">
        <div class="modal-content">
          <!-- Modal Header -->
          <div id="addcoment" class="modal-header">
            <h3>Adicionar Comentario</h3>
          </div>

          <!-- Modal body -->
          <div class="modal-body">
            <textarea
              class="form-control"
              rows="4"
              type="text"
              id="CriaComentario"
              v-model="comentarioAtual.resposta"
              placeholder="Digite Sua Solução, Duvida ou Comentario Sobre a Questão"
            ></textarea>
            <!-- Modal footer -->
            <div class="modal-footer">
              <div class="mar-top clearfix">
                <button
                  type="button"
                  class="btn-secondary btn-sm btn-primary mr-2"
                  data-dismiss="modal"
                >
                  Cancelar
                </button>
                <button
                  @click.prevent="publicarComentario"
                  class="btn-dark btn-sm btn-primary pull-right"
                  type="submit"
                  data-dismiss="modal"
                >
                  <b-icon icon="plus" font-scale="1">></b-icon> Comentar
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
var r;
import axios from "axios";
export default {
  data() {
    return {
      inc: 0,
      quests: [],
      questaoAtual: null,
      comentarioAtual: {
        resposta: null,
      },
      arrRespostas: [],
      prototipo: [],
    };
  },

  mounted() {
    if (localStorage.getItem("token")) {
      axios
        .get(`${this.$urlAPI}/questResp`, {
          headers: {
            Authorization: `Bearer ${localStorage.getItem("token")}`,
          },
        })
        .then((response) => {
          if (response.data.erro == "true") {
            alert(response.data.msg);
          }
          if (response.data.erro == "false") {
            this.quests = response.data.dados;
            this.quests.map((e) => this.arrRespostas.push(e.respostas));
            for (r of this.arrRespostas) {
              this.prototipo.push(r);
            }
          }
        });
    } else {
      this.$router.push("/login").catch(() => {});
    }
  },

  methods: {
    publicarComentario() {
      if (localStorage.getItem("token")) {
        axios
          .post(
            `${this.$urlAPI}/resp/${this.questaoAtual}/${localStorage.getItem(
              "idU"
            )}`,
            this.comentarioAtual,

            {
              headers: {
                Authorization: `Bearer ${localStorage.getItem("token")}`,
              },
            }
          )
          .then((response) => {
            if (response.data.erro == "true") {
              alert(response.data.msg);
            }
            if (response.data.erro == "false") {
              alert(response.data.msg);
              window.location.reload();
            }
          });
      } else {
        this.$router.push("/login").catch(() => {});
      }
    },
    Handler(valor) {
      this.questaoAtual = valor;
    },
  },
};
</script>

<style>
#addcoment {
  align-self: center;
}

#CriaComentario {
  border: 1px groove rgb(56, 56, 56);
}
#modal-1 body {
  margin-top: 20px;
  background: #ebeef0;
}

.img-sm {
  width: 46px;
  height: 46px;
}

.panel {
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.075);
  border-radius: 0;
  border: 0;
  margin-bottom: 15px;
}

.panel .panel-footer,
.panel > :last-child {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

.panel .panel-heading,
.panel > :first-child {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.panel-body {
  padding: 25px 20px;
}

.media-block .media-left {
  display: block;
  float: left;
}

.media-block .media-right {
  float: right;
}

.media-block .media-body {
  display: block;
  overflow: hidden;
  width: auto;
}

.middle .media-left,
.middle .media-right,
.middle .media-body {
  vertical-align: middle;
}

.thumbnail {
  border-radius: 0;
  border-color: #e9e9e9;
}

.tag.tag-sm,
.btn-group-sm > .tag {
  padding: 5px 10px;
}

.tag:not(.label) {
  background-color: #fff;
  padding: 6px 12px;
  border-radius: 2px;
  border: 1px solid #cdd6e1;
  font-size: 12px;
  line-height: 1.42857;
  vertical-align: middle;
  -webkit-transition: all 0.15s;
  transition: all 0.15s;
}
.text-muted,
a.text-muted:hover,
a.text-muted:focus {
  color: #acacac;
}
.text-sm {
  font-size: 0.9em;
}
.text-5x,
.text-4x,
.text-5x,
.text-2x,
.text-lg,
.text-sm,
.text-xs {
  line-height: 1.25;
}

.btn-trans {
  background-color: transparent;
  border-color: transparent;
  color: #929292;
}

.btn-icon {
  padding-left: 9px;
  padding-right: 9px;
}

.btn-sm,
.btn-group-sm > .btn,
.btn-icon.btn-sm {
  padding: 5px 10px !important;
}

.mar-top {
  margin-top: 15px;
}
</style>